local FE = ...

FE:register({
	DataType = "BUILDING_PART",
	Id = "BERRY_PART",
	Name = "BERRY_PART_NAME",
	Description = "BERRY_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_BERRIES"},
	BuildingZone = {0,0}
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "ROCK_PART",
	Name = "ROCK_PART_NAME",
	Description = "ROCK_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_ROCK"},
	BuildingZone = {0,0}
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "FISH_PART",
	Name = "FISH_PART_NAME",
	Description = "FISH_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_FISH"},
	BuildingZone = {0,0}
})

FE:register({
	DataType = "BUILDING_PART",
	Id = "IRON_PART",
	Name = "IRON_PART_NAME",
	Description = "IRON_PART_DESC",
	Category = "RESOURCE_NODE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {DataType = "BUILDING_CONSTRUCTOR_DEFAULT",CoreObjectPrefab = "PREFAB_RESOURCE_IRON"},
	BuildingZone = {0,0}
})

FE:register({
	DataType = "MONUMENT",
	Id = "FE_MONUMENT_RESOURCE_NODES",
	Name = "FE_MONUMENT_NAME",
	Description = "FE_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{Name = "FE_RESOURCE_NODES_NAME", BuildingPartList = {"BERRY_PART","ROCK_PART","FISH_PART","IRON_PART"}}
	}
})